# Creating IP Blocks Create IP Blocks in the Customer Portal and Equinix API. You can purchase Equinix-owned IP Blocks or bring your own IP address space for use on Equinix. * The total number of IP Blocks must not exceed 100. * All IP Blocks must contain valid, unique IPv4 and/or IPv6 addresses in CIDR notation. * New customer-provided IP Blocks must not already exist in the service. ## Prerequisites[​](#prerequisites "Direct link to Prerequisites") * Creating IP Blocks requires either the `Fabric Connection Manager`, `Fabric Manager`, or `Fabric Service Provider` role. - Portal - API 1. Sign in to the [Customer Portal](https://portal.equinix.com) and navigate to *Internet Access*. 2. Click **IP Blocks** to go to your *IP Blocks Inventory*. ![](https://docs.equinix.com/assets/images/ip-blocks-tab-99f42087907ba7cf0a335a354a3c71ca.png) Authenticate - Submit your user credentials, Client ID, and Client Secret for OAuth2 authentication. Refer to [API Authentication](https://docs.equinix.com/equinix-api/api-authentication.md) for instructions on how to call OAuth API to validate and authenticate your credentials. ## Order IP Blocks[​](#order-ip-blocks "Direct link to Order IP Blocks") * Portal * API To order Equinix-owned IP Blocks: 1. From your *IP Blocks Inventory*, click **Order IP Blocks**. ![](https://docs.equinix.com/assets/images/create-order-ip-d555a2f18d37071c0c160cf49b48077f.png) 2. Select the *Location* from the drop-down menu. In order to create an IP Block in a Metro, you need either [a global billing account or a local billing account](https://docs.equinix.com/billing/local-global-billing-accounts.md) for that location. Select your *Billing Account* from the drop-down menu. 3. Select the IP version and subnet size. 4. Review the *Pricing Overview*. To review the terms, click **Terms and Conditions** and **Order Acknowledgement**. 5. (*Optional*) Add a Purchase Order number by selecting one from the drop-down. 6. Click **Submit**. ![](https://docs.equinix.com/assets/images/create-order-panel-f7b4054650ccf34740df8a22758aeddf.png) To create an IP Block, send a `POST` request to the [`/fabric/v4/ipBlocks`](https://docs.equinix.com/api-catalog/fabricv4/ip-blocks/submitipblock.md) endpoint. In the body of the request, specify: * `prefixLength` - The size of the IP Block, as an integer. * `metroCode` - The two-letter code specifying where to create the IP Block. * `type` - The type of IP address block, either `IPV4_IP_BLOCK` or `IPV6_IP_BLOCK`. * `projectId` - The UUID of the project to create the IP Block in. If you are in the APAC region, you also need to submit responses in the `regulations` object. ``` curl -X POST 'https://api.equinix.com/fabric/v4/ipBlocks' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "prefixLength": , "location": { "metroCode": "" }, "type": "", "project": { "projectId": "" }, "regulations": { "addressingPlans": [ { "purpose": "", "size": }, { "purpose": "", "size": } ], "questions": { "privateSpaceConsidered": , "refusedPreviously": , "returningAddressSpace": } } }' ``` ## Onboard Your Own IP Blocks[​](#onboard-your-own-ip-blocks "Direct link to Onboard Your Own IP Blocks") > **Important** > > You must create route objects in the IRR associated with the Regional Internet Registry (RIR) and you must create a Route Origin Authorization (ROA) that authorizes announcing from ASN 15830. See [Customer-owned IP Blocks](https://docs.equinix.com/internet-access/ip-blocks/ip-blocks-overview.md#customer-owned-ip-blocks) for more information. * Portal * API To create customer-owned IP Blocks: 1. From your *IP Blocks Inventory*, click **Onboard My Own IP Blocks**. ![](https://docs.equinix.com/assets/images/create-byoip-52d2482e831933c79e704c1351075b3a.png) 2. Select either **IPv4** or **IPv6** from the *Add Your IP Addresses* drop-down and enter your IP block. Subnets must consist of valid and unique IPv4 and/or IPv6 addresses in CIDR notation. ![](https://docs.equinix.com/assets/images/create-byoip-panel-41c2869468dc2661f71b53f01a9b41c5.png) 3. Click **Submit**. To create an IP Block, send a `POST` request to the [`/fabric/v4/ipBlocks`](https://docs.equinix.com/api-catalog/fabricv4/ip-blocks/submitipblock.md) endpoint. In the body of the request, specify: * `prefix` - Your IP address block in CIDR notation. * `type` - The type of IP address block, either `IPV4_IP_BLOCK` or `IPV6_IP_BLOCK`. * `projectId` - The UUID of the project to create the IP Block in. ``` curl -X POST 'https://api.equinix.com/fabric/v4/ipBlocks' \ -H 'content-type: application/json' \ -H 'authorization: Bearer ' \ -d '{ "prefix": "", "type": "ip_address_type", "project": { "projectId": "" } }' ``` ## Monitoring IP Block Status[​](#monitoring-ip-block-status "Direct link to Monitoring IP Block Status") After you have created an IP Block, it appears in the [*IP Blocks Inventory*](https://docs.equinix.com/internet-access/ip-blocks/managing-ip-blocks.md) where you can view its status and details.